EDIT - bug #10195

Character data should be ordered by character tree
12/05/2022 02:35 PM - Katja Luther

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal Found in Version:

Description

The display of the character data in specimen details page and taxon page missing the information about the character tree used.

In https://dev.e-taxonomy.eu/redmine/issues/9584?issue_count=2&issue _position=1&next_issue_id=8182#note-14 the display of
aggregated descriptions in a taxon page is shown and in
https://dev.e-taxonomy.eu/redmine/issues/9584?issue_count=2&issue_position=1&next_issue_id=8182#note-10 the characters of a
specimen.

The implementation for the taxon page already take the character tree into account, but still some information (the whole path) are
missing.

Related issues:

Related to EDIT - feature request #8657: Order description element in portal ... Closed
Related to EDIT - feature request #8798: description page: Show character hi... Resolved
Related to EDIT - bug #10382: Summary ticket for specimen in dataportal New
Copied from EDIT - feature request #9584: specimen page: character data displ... Closed
History

#1 - 12/05/2022 02:35 PM - Katja Luther

- Description updated

#2 - 12/05/2022 02:35 PM - Katja Luther

- Related to feature request #9584: specimen page: character data displayed in details section added

#3 - 12/06/2022 02:19 PM - Andreas Miiller
- Tags set to add

#4 - 12/06/2022 02:19 PM - Andreas Miiller
- Tags changed from add to additivity

#5 - 12/06/2022 02:23 PM - Andreas Miuller

- Related to feature request #8657: Order description element in portal according to CharacterTree added

#6 - 12/06/2022 02:26 PM - Andreas Miuller

- Related to feature request #8798: description page: Show character hierarchy added

#7 - 12/06/2022 02:33 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.46

Can you please check how far this is kind of a duplicate for #8657 or any other of the related tickets or how far they overlap. As #8657 is closed
already but very similar we should check what is already implemented.

#8 - 12/06/2022 02:35 PM - Andreas Miiller

- Related to deleted (feature request #9584: specimen page: character data displayed in details section )

#9 - 12/06/2022 02:35 PM - Andreas Miiller

- Copied from feature request #9584: specimen page: character data displayed in details section added
#10 - 12/06/2022 03:24 PM - Katja Luther
- File Screenshot 2022-12-06 152245.png added
- File Screenshot 2022-12-06 152351.png added

Andreas Muller wrote in #note-7:

Can you please check how far this is kind of a duplicate for #8657 or any other of the related tickets or how far they overlap. As #8657 is closed

already but very similar we should check what is already implemented.

This page uses the description element, for the specimen page we only have the dto. So we have to check which additional fields/information we

need in the dto and then we can use/adapt the already implemented code.

Maybe we should discuss whether the whole path of the character should be shown otherwise sometimes it is not possible to distinguish between the

characters:

In this example "shape" means "basal leaves"-"lamina"-"shape"

Character States/Values
growth form herb [28], subshrub [1], caespitose [1]
duration annual [22], perennial [3]
size 6-61 cm [46;%=29]
stem quantity 1-3 [25;%=1]
shape petioliform [6], elliptic lanceolate [&], elliptic [5], oblant
—

oblanceolate [2], linear lanceolate [2], lanceolate [1]

branch quantity 0-16 [49;%=6.3]

lamina shape oblong elliptic [1], elliptical [1]
4 B Bupleurum character tree

3 entire plant

El basal leaves

indurmnentumn pubescence
Fi lamina
width
length
base shape

apex shape

petiole lenath

#11 - 09/19/2023 12:29 PM - Andreas Miiller
- Related to bug #10382: Summary ticket for specimen in dataportal added

Files

Screenshot 2022-12-06 152245.png 30.1 KB 12/06/2022 Katja Luther

Screenshot 2022-12-06 152351.png 4.74 KB 12/06/2022 Katja Luther
